CoreAdminRequest.MergeIndexes (Solr 3.6.2 API)
Keywords: org.apache.solr.client.solrj.request.CoreAdminRequest.MergeIndexes class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.solr.client.solrj.request
Class CoreAdminRequest.MergeIndexes

    java.lang.Object
      org.apache.solr.client.solrj.SolrRequest
          org.apache.solr.client.solrj.request.CoreAdminRequest
              org.apache.solr.client.solrj.request.CoreAdminRequest.MergeIndexes

All Implemented Interfaces:
  Serializable

Enclosing class:
  CoreAdminRequest

    public static class CoreAdminRequest.MergeIndexes

extends CoreAdminRequest

See Also:
  Serialized Form

Nested Class Summary

Nested classes/interfaces inherited from class org.apache.solr.client.solrj.request.CoreAdminRequest
`CoreAdminRequest.Create, CoreAdminRequest.MergeIndexes, CoreAdminRequest.Persist, CoreAdminRequest.Unload`

Nested classes/interfaces inherited from class org.apache.solr.client.solrj.SolrRequest
`SolrRequest.METHOD`

Field Summary
`protected List<String>` | `indexDirs`
`protected List<String>` | `srcCores`

Fields inherited from class org.apache.solr.client.solrj.request.CoreAdminRequest
`action, core, other`

Constructor Summary
`CoreAdminRequest.MergeIndexes()`

Method Summary
`List<String>` | `getIndexDirs()`
`SolrParams` | `getParams()`
`List<String>` | `getSrcCores()`
`void` | `setIndexDirs(List<String> indexDirs)`
`void` | `setSrcCores(List<String> srcCores)`

Methods inherited from class org.apache.solr.client.solrj.request.CoreAdminRequest
`aliasCore, createCore, createCore, getContentStreams, getStatus, mergeIndexes, persist, process, reloadCore, renameCore, setAction, setCoreName, setOtherCoreName, unloadCore, unloadCore`

Methods inherited from class org.apache.solr.client.solrj.SolrRequest
`getMethod, getPath, getResponseParser, setMethod, setPath, setResponseParser`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### indexDirs

    protected List<String> indexDirs

### srcCores

    protected List<String> srcCores

Constructor Detail

### CoreAdminRequest.MergeIndexes

    public CoreAdminRequest.MergeIndexes()

Method Detail

### setIndexDirs

    public void setIndexDirs(List<String> indexDirs)

### getIndexDirs

    public List<String> getIndexDirs()

### getSrcCores

    public List<String> getSrcCores()

### setSrcCores

    public void setSrcCores(List<String> srcCores)

### getParams

    public SolrParams getParams()

  Overrides:
    `getParams` in class `CoreAdminRequest`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD